# Type alias FieldView

FieldView: {
blockDisplay?: boolean;
configFields?: (({ table, mode, }) => Promise<FieldLike[]> | FieldLike[]);
description?: string;
fill_options?: ((field, force_allow_none, where, extraCtx, optionsQuery?, formFieldNames?, user?) => Promise<void>);
fill_options_restrict?: ((field, value) => Where | undefined);
handlesTextStyle?: boolean;
read?: Function;
readFromFormRecord?: Function;
} & (FieldViewShow | FieldViewEdit | FieldViewFilter)

#### Type declaration

- ##### `Optional` blockDisplay?: boolean

- ##### `Optional` configFields?: (({ table, mode, }) => Promise<FieldLike[]> | FieldLike[])

  - - ({ table, mode, }): Promise<FieldLike[]> | FieldLike[]

    - #### Parameters

      - ##### { table, mode, }: {
        mode: ActionMode;
        table: AbstractTable;
        }

        - ##### mode: ActionMode

        - ##### table: AbstractTable

      #### Returns Promise<FieldLike[]> | FieldLike[]

- ##### `Optional` description?: string

- ##### `Optional` fill_options?: ((field, force_allow_none, where, extraCtx, optionsQuery?, formFieldNames?, user?) => Promise<void>)

  - - (field, force_allow_none, where, extraCtx, optionsQuery?, formFieldNames?, user?): Promise<void>

    - #### Parameters

      - ##### field: FieldLike

      - ##### force_allow_none: boolean

      - ##### where: Where | undefined

      - ##### extraCtx: GenObj

      - ##### `Optional` optionsQuery: any

      - ##### `Optional` formFieldNames: string[]

      - ##### `Optional` user: AbstractUser

      #### Returns Promise<void>

- ##### `Optional` fill_options_restrict?: ((field, value) => Where | undefined)

  - - (field, value): Where | undefined

    - #### Parameters

      - ##### field: FieldLike

      - ##### value: any

      #### Returns Where | undefined

- ##### `Optional` handlesTextStyle?: boolean

- ##### `Optional` read?: Function

- ##### `Optional` readFromFormRecord?: Function

- Defined in saltcorn-types/base_types.ts:399

Generated using TypeDoc